Parece ser un lame pregunta, pero no puedo averiguar. Cómo importar popper.js que viene junto con Bootstrap 4 beta?

Yo uso bower y he instalado Bootstrap 4 beta. Ahora en bower_components carpeta hay popper.js directorio, que contiene un par de sub-carpetas. El problema es que no hay dist carpeta y popper.min.js archivo.

Bootstrap 4 guía de enlaces a CDN: https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js

Pero cómo importar popper.js sin CDN? Dónde encontrar popper.min.js archivo?

EDICIÓN: Incluso si puedo descargar zip de popper.js sitio web que contiene exactamente los mismos archivos como de bower.

Descargar (a partir de la CDN) a su servidor de directorio, y se refieren a partir de ahí?!
El archivo ha vinculado a crea un Popper variable, por lo que la descarga de ese archivo y la importación a través de <script> debería funcionar.
Me gustaría usuario bower a ser capaz de scripts de actualización en el futuro.
Bower es obsoleto, el uso del mecanismo nacional de prevención

OriginalEl autor Qrzysio | 2017-08-12

8 Comentarios

  1. 12

    Me encontré con el mismo problema.

    He descargado el ‘popper.min.js’ archivo de la CDN en el sitio web de bootstrap.

    Ver aquí: https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js

    Más fácil de compilar el proyecto.

    trabajó para mí, gracias hombre!
    Tio eres mi héroe. El aprendizaje desarrollador web en mi tiempo libre, todos hablando de Bower y el Hilo etc. Entonces usted es como, basta con incluir este.
    La parte interesante acerca de este enfoque y que ya están detrás de la última versión de mi biblioteca y le faltan algunas correcciones importantes. Es por eso que la dependencia de los gerentes de existir.
    ¿A qué te refieres?
    Si usted copiar-pegar el código sin utilizar una dependencia manager te pierdas las actualizaciones importantes.

    OriginalEl autor Zerus

  2. 10

    La forma oficial para instalar Popper.js se realiza a través de mecanismo nacional de prevención, de Hilo o de NuGet.

    Utilice uno de los siguientes comandos :

    npm i popper.js
    yarn add popper.js
    PM> Install-Package popper.js

    Todo lo que se describe en la biblioteca readme.

    Con respecto a la «descargas el zip», el zip establece claramente que contiene el el código fuente de la biblioteca.

    Editar:

    A partir de la versión 1.12.0, Popper.js está disponible como Enramada de la dependencia.

    Este método de instalación va a ser compatible sólo para el 1.x versión de Popper.js y será eliminado en 2.x.

    Debería migrar las dependencias de la administración a un moderno sistema como mecanismo nacional de prevención o de Hilo, como Bower sugiere así.

    No es fácil manera. Cuando la instalación de Bootstrap 4 a través de Bower es la descarga no compila popper.js pero descargado de jQuery es «listo para llevar».
    Bower es obsoleto, debe usar npm
    mecanismo nacional de prevención no parece para instalar el real popper.js archivo. Hay otro paso después de eso?
    Usted encontrar los archivos en la carpeta dist. Asegúrese de instalar popper.js, no «popper»
    Fez Vrasta, sólo me salvó horas. npm install popper.js –guardar

    OriginalEl autor Fez Vrasta

  3. 5

    Realmente no entiendo por qué Javascript mundo tratando de hacer la cosa más complicada. ¿Por qué no acaba de descargar e incluir en html? Tratando de tener algo como Maven en Java? Pero tenemos que incluir manualmente en html de todos modos? Así que, ¿cuál es el punto? Tal vez algún día voy a entender, pero no ahora.

    Esto es cómo lo puedo conseguir

    • descargar & instalar NodeJs
    • ejecutar «npm install popper.js –save»
    • luego me sale este mensaje

      [email protected].7
      agrega 1 paquete de 1.215 s

    • entonces, ¿de dónde es «agregar paquete» ? muy informativo , derecho? La encontré en mi C:\Users\surasin\node_modules\popper.js\dist

    Espero que esta ayuda

    Demasiado basado en la opinión de respuesta w/o/ buena cantidad de recursos técnicos.

    OriginalEl autor Surasin Tancharoen

  4. 3

    Maneras de conseguir popper.js: Paquete, CDN, y el archivo Local

    La mejor manera depende de si usted tiene un proyecto con un gestor de paquetes como mecanismo nacional de prevención.

    Gestor de paquetes

    Si usted está usando un gestor de paquetes, lo utilizan para obtener popper.js como este:

    npm install popper.js --save

    CDN

    Para un prototipo o de una zona de juegos infantil medio ambiente (como http://codepen.io) o simplemente desea una dirección url a un CDN de archivo:

    https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.5/umd/popper.js
    https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.5/umd/popper.min.js

    nota: Bootstrap 4 requiere que las versiones en virtud de la umd camino (más información sobre popper/bs4).

    Archivo Local

    Salvar sólo a uno de los CDN de archivos para uso local. Por ejemplo, pegue una de estas direcciones Url en un navegador, a continuación, Guardar Como… para obtener una copia local.

    https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.5/umd/popper.js
    https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.5/umd/popper.min.js

    OriginalEl autor whitneyland

  5. 0

    Usted puede descargar e importar todos manos a la obra, y de Popper, con un solo comando usando Captura De Inyección:

    fetchInject([
      'https://npmcdn.com/[email protected]/dist/js/bootstrap.min.js',
      'https://cdn.jsdelivr.net/popper.js/1.0.0-beta.3/popper.min.js'
    ], fetchInject([
      'https://cdn.jsdelivr.net/jquery/3.1.1/jquery.slim.min.js',
      'https://npmcdn.com/[email protected]/dist/js/tether.min.js'
    ]));

    Agregar archivos CSS si usted necesita los mismos. Ajustar versiones y fuentes externas para satisfacer sus necesidades y considerar el uso de sub-recurso de comprobación de integridad si no estás alojamiento de los archivos en su propio dominio o no confiar en la fuente.

    OriginalEl autor Josh Habdas

  6. 0

    agregar popper**.js** ya que la dependencia en lugar de popper (sólo): ver la diferencia en negrita.

    hilo agregar popper.js en lugar de
    hilo agregar popper

    lo que hace la diferencia.

    e incluir la secuencia de comandos de acuerdo a sus necesidades:

    como html o
    el acceso a la biblioteca como una dependencia de SPA aplicaciones como reaccionar o angulares

    OriginalEl autor andhdo

  7. 0

    He eliminado cualquier existentes popper directorios, y luego corrió

    npm install --save popper.js angular-popper

    OriginalEl autor rpd

  8. -1

    Resulta que Popper.js no ofrecen los archivos compilados en su repositorio de GitHub. Por lo tanto, uno tiene que compilar el proyecto en su propio nombre o descargar archivos compilados de la Cdn. Que no se puede importar automáticamente.

    La propuesta es usar el mecanismo nacional de prevención en realidad

    OriginalEl autor Qrzysio

Dejar respuesta

Please enter your comment!
Please enter your name here